# bigip_password_policy – Manages the authentication password policy on a BIG-IP

New in version 2.8.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manages the authentication password policy on a BIG-IP.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
expiration_warning integer |  | Specifies the number of days before a password expires. Based on this value, the BIG-IP system automatically warns users when their password is about to expire.
max_duration integer |  | Specifies the maximum number of days a password is valid.
max_login_failures integer |  | Specifies the number of consecutive unsuccessful login attempts that the system allows before locking out the user. Specify zero (0) to disable this parameter.
min_duration integer |  | Specifies the minimum number of days a password is valid.
min_length integer |  | Specifies the minimum number of characters in a valid password. This value must be between 6 and 255.
password_memory integer |  | Specifies whether the user has configured the BIG-IP system to remember a password on a specific computer and how many passwords to remember.

policy_enforcement
boolean

Choices:
- no
- yes

Enables or disables the password policy on the BIG-IP system.

provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.

transport
string

Choices:
- cli
- rest ←

Configures the transport connection to use when connecting to the remote device.

| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.

validate_certs
boolean

Choices:
- no
- yes ←

If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates.
You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.

required_lowercase integer |  | Specifies the number of lowercase alpha characters that must be present in a password for the password to be valid.
required_numeric integer |  | Specifies the number of numeric characters that must be present in a password for the password to be valid.
required_special integer |  | Specifies the number of special characters that must be present in a password for the password to be valid.
required_uppercase integer |  | Specifies the number of uppercase alpha characters that must be present in a password for the password to be valid.

## Notes

Note

- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.

- Requires BIG-IP software version >= 12.

- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Change password policy to require 2 numeric characters
      bigip_password_policy:
        required_numeric: 2
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
expiration_warning integer | changed | The new expiration warning. Sample: 7
max_duration integer | changed | The new max duration. Sample: 99999
max_login_failures integer | changed | The new max login failures.
min_duration integer | changed | The new min duration.
min_length integer | changed | The new min password length. Sample: 6
password_memory integer | changed | The new number of remembered passwords
policy_enforcement boolean | changed | The new policy enforcement setting. Sample: True
required_lowercase integer | changed | The lowercase requirement. Sample: 1
required_numeric integer | changed | The numeric requirement. Sample: 2
required_special integer | changed | The special character requirement. Sample: 1
required_uppercase integer | changed | The uppercase character requirement. Sample: 1

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- Tim Rupp (@caphrim007)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.